﻿// MP4 file clip region manager
//    for moraMP4fix_for_NW-A860
//
// Copyright(C) 2014 Sota. All rights reserved.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace moraMP4fix_for_NW_A860
{
    class ClipManager
    {
        public struct ClipData
        {
            public int offset;
            public int size;

            public ClipData(int offset, int size)
            {
                this.offset = offset;
                this.size = size;
            }
        }

        List<ClipData> clipBlockList;

        /// <summary>
        /// Constructor
        /// </summary>
        public ClipManager()
        {
            clipBlockList = new List<ClipData>();
        }

        /// <summary>
        /// Add clip region data
        /// </summary>
        /// <param name="offset">Clip region start offset</param>
        /// <param name="size">Clip region size</param>
        public void AddClipData(int offset, int size)
        {
            ClipData data = new ClipData(offset, size);
            clipBlockList.Add(data);
        }

        /// <summary>
        /// Get number of clip regions
        /// </summary>
        /// <retunrs>Number of clip regions</retunrs>
        public int GetClipDataCount()
        {
            return clipBlockList.Count();
        }

        /// <summary>
        /// Get clip region data
        /// </summary>
        /// <param name="index">index</param>
        /// <retunrs>Clip region data</retunrs>
        public ClipData GetClipData(int index)
        {
            ClipData data = clipBlockList[index];
            return data;
        }

    }
}
